Subject: Re: linux-next: net tree build failure

From: David Miller <[email-masked]>
Date: Wed, 18 Mar 2009 22:40:33 -0700 (PDT)

From: Stephen Rothwell <[email-masked]>
Date: Thu, 19 Mar 2009 15:46:17 +1100

> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
> 
> In file included from net/core/skbuff.c:69:
> include/trace/skb.h:4: error: expected ')' before '(' token
> include/trace/skb.h:4: error: expected ')' before '(' token
> include/trace/skb.h:4: warning: function declaration isn't a prototype
> include/trace/skb.h: In function 'register_trace_kfree_skb':
> include/trace/skb.h:4: error: 'probe' undeclared (first use in this function)
> include/trace/skb.h:4: error: (Each undeclared identifier is reported only once
> include/trace/skb.h:4: error: for each function it appears in.)
> include/trace/skb.h: At top level:
> include/trace/skb.h:4: error: expected ')' before '(' token
> include/trace/skb.h:4: warning: function declaration isn't a prototype
> include/trace/skb.h: In function 'unregister_trace_kfree_skb':
> include/trace/skb.h:4: error: 'probe' undeclared (first use in this function)
> net/core/skbuff.c: In function 'kfree_skb':
> net/core/skbuff.c:446: error: implicit declaration of function 'trace_kfree_skb'
> 
> Caused by commit 2939b0469d04ba9ac791aca9a81625d7eb50662b ("tracing:
> replace TP<var> with TP_<var>") from the tracing tree interacting with
> commit 4893d39e865b2897bf9fcd329697d37032d853a1 ("Network Drop Monitor:
> Add trace declaration for skb frees") from the net tree.
> 
> I added the merge fixup below and can carry it as necessary.

I think you're going to have to carry this one indefinitely.
At least until that tracing tree change goes upstream.